JPPF, java, parallel computing, distributed computing, grid computing, parallel, distributed, cluster, grid, cloud, open source, android, .net
JPPF

The open source
grid computing
solution

 Home   About   Features   Download   Documentation   On Github   Forums 
November 21, 2019, 10:09:29 PM *
Welcome,
Please login or register.

Login with username, password and session length
Advanced search  
News: New users, please read this message. Thank you!
  Home Help Search Login Register  
Pages: [1]   Go Down

Author Topic: JPPF 1.4 : Null driver connection local executor disabled  (Read 5761 times)

pratush

  • Guest
JPPF 1.4 : Null driver connection local executor disabled
« on: September 01, 2008, 09:05:57 AM »

HI

I am using JPPf version 1.4 . But i am unable to submit the jobs

org.jppf.JPPFException: Null driver connection and local executor is disabled
<================== process of entering the Values in Database over ================>
   at org.jppf.client.loadbalancer.LoadBalancer.execute(LoadBalancer.java:168)
   at org.jppf.client.JPPFClient.submitNonBlocking(JPPFClient.java:233)
   at org.jppf.client.AbstractJPPFClient.submitNonBlocking(AbstractJPPFClient.java:249)
   at com.egatematrix.ess.framework.service.RuleService.doProcess(RuleService.java:205)

I have run the driver and the node .The node is  inititalized successfully .



 i see that i am not able load the jppf configuration properties.

And also we have a reference to the localexecutor like this in the LoadBalancer
 
                                   JPPFConfiguration.getProperties().getBoolean("jppf.local.execution.enabled", false)

but i could not find this propery either in the driver-properties nor the node properties




i did not face any issues with version 1.3


Can anyone help ....

Thanks in anticipation ........
Logged

lolo

  • Administrator
  • JPPF Council Member
  • *****
  • Posts: 2257
    • JPPF Web site
JPPF 1.4 : Null driver connection local executor disabled
« Reply #1 on: September 21, 2008, 05:25:29 AM »

Hello,

I apologize, I completely missed your post. I think it belongs more to the Troubleshooting forum.

Apparently the problem is that your client was not able to connect to the server, or not quickly enough.
In version 1.4 some behavior has changed, although the client API has not.
To accommodate the new local execution feature, the client no longer indefinitely waits until a connection is established before returning from its initialization.
In some cases, it is possible that no connection to the server is active at the time you submit your first job, which would cause the exception that you observe.

I see to main approaches to overcome this:

1) you can specify the time the client initialization will will wait for an active connection, by setting the property "jppf.client.max.init.time" to a higher value. The default value is 1000 (milliseconds).
2) You can do your job submission within a loop that looks out for the JPPFException, as in this example:
Code: [Select]
// retry up to 10 times
int retries = 10;
boolean end = false;
while (!end)
{
  try
  {
    results = jppfClient.submit(myListOfTasks, myDataProvider);
    // submission successfull, end of the loop
    end = true;
  }
  catch (JPPFException e)
  {
    // if tried less than 10 times
    if (retries > 1)
    {
      // wait 1/10th of a second
      Thread.sleep(100);
      retries--;
    }
    // otherwise throw the exception
    else throw e;
  }
}


The other possibility is that the client can't connect to the server, probably due to improper settings in the client configuration file.
To check this, can you please verify that you have something similar to thse lines printed in the client console:
Code: [Select]
[client: driver1] ClassServerDelegate.init(): Attempting connection to the class server
[client: driver1] ClassServerDelegate.init(): Reconnected to the class server
[client: driver1] JPPFClient.init(): Attempting connection to the JPPF driver
[client: driver1] JPPFClient.init(): Reconnected to the JPPF driver


I hope this helps,
-Laurent
Logged

pratush

  • Guest
resolved
« Reply #2 on: September 25, 2008, 05:48:36 AM »

hi Lolocohen,

I could identify the problem ..... the problem was the driver name specification in the jppf-xxx.properties . The ip where the driver was running was not correct .
But now i have a different problem . I have posted the same as a new topic "Buffer pool Null Pointer Exception" in the trobule shooting area . Kindly look into this .

Thanks again,
Pratush.
Logged
Pages: [1]   Go Up
 
JPPF Powered by SMF 2.0 RC5 | SMF © 2006–2011, Simple Machines LLC Get JPPF at SourceForge.net. Fast, secure and Free Open Source software downloads